Page MenuHomePhabricator

[libFuzzer] Simplify test to work on windows.
ClosedPublic

Authored by mpividori on Feb 3 2017, 10:29 PM.

Details

Summary

Environment variables are handled differently on Windows.
In this case it is not necessary to use environment variables. So, I simplify the test to work on Windows.

Diff Detail

Repository
rL LLVM

Event Timeline

mpividori created this revision.Feb 3 2017, 10:29 PM
kcc edited edge metadata.Feb 6 2017, 11:17 AM

nope. this way the test will race with other tests that will create sancov files in $PWD

The test as is is also not very good. Instead of BUILDDIR it should be using ASAN_OPTIONS=coverage_dir=PATH or some such

mpividori updated this revision to Diff 87308.Feb 6 2017, 2:36 PM

@kcc Let me know if you agree with this new diff.
Thanks.

kcc added inline comments.Feb 6 2017, 3:40 PM
lib/Fuzzer/test/dump_coverage.test
4 ↗(On Diff #87308)

use env ASAN_OPTIONS=coverage_dir='"%t_workdir"' in all the lines below to avoid races on output files.

mpividori updated this revision to Diff 87329.Feb 6 2017, 3:51 PM
kcc accepted this revision.Feb 7 2017, 1:21 PM

LGTM

This revision is now accepted and ready to land.Feb 7 2017, 1:21 PM
This revision was automatically updated to reflect the committed changes.